/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package lookout;

/**
 *
 * @author connie
 */
import javax.swing.InputVerifier;
import javax.swing.JComponent;
import javax.swing.JFormattedTextField;
import java.text.ParseException;

class IntVerifier extends InputVerifier {
    private Integer min=null;
    private Integer max=null;
    
    public IntVerifier(Integer min, Integer max)  {
        if (min!=null) this.min = min;
        if (max!=null) this.max = max;
    }
    public boolean verify(JComponent input) {
               if (input instanceof JFormattedTextField) {
             JFormattedTextField ftf = (JFormattedTextField)input;
             JFormattedTextField.AbstractFormatter formatter = ftf.getFormatter();
             if (formatter != null) {
                 String text = ftf.getText();
                 try {
                      int vl = ((Number)formatter.stringToValue(text)).intValue();
                      if (min!=null)
                        if (vl<min) ftf.setText(min.toString()); 
                        else if (max!=null)
                              if (vl>max) ftf.setText(max.toString());
                      return true;
                  } catch (ParseException pe) {
                      return false;
                  }
              }
          }
          return true;
         }
      @Override
      public boolean shouldYieldFocus(JComponent input) {
          return verify(input);
      }
     
}
