/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package lookout;

/**
 *
 * @author connie
 */
import java.awt.event.*;
import javax.swing.*;

public class PopupListener extends MouseAdapter {
        JPopupMenu popup;

        PopupListener(JPopupMenu popupMenu) {
            popup = popupMenu;
        }

        public void mousePressed(MouseEvent e) {
            maybeShowPopup(e);
        }

        public void mouseReleased(MouseEvent e) {
            maybeShowPopup(e);
        }

        private void maybeShowPopup(MouseEvent e) {
            if (e.isPopupTrigger()) {
                if (e.getSource() instanceof JTable){
                    int row = ((JTable)e.getSource()).rowAtPoint(e.getPoint());
                    if (row>=0) ((JTable)e.getSource()).getSelectionModel()
                            .setSelectionInterval(row, row);
                }
                popup.show(e.getComponent(),
                           e.getX(), e.getY());
            }
        }
    }
