/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package lookout.dndsupport;

/**
 *
 * @author connie
 */
import javax.swing.*;
import java.awt.datatransfer.*;
import products.ProductInBase;
import tablemodels.GroupTableModel;
import tablemodels.ProductTableModel;
import products.ProdGroup;
import manager.ProductManager;
import java.awt.Rectangle;


public class GroupMoveHandler  extends TransferHandler{
    

    @Override
    public boolean canImport(TransferHandler.TransferSupport info) {
        return info.isDataFlavorSupported(ProductTransferable.dataFlavor);
    }

    @Override
    public boolean importData(TransferHandler.TransferSupport info) {
        if (!info.isDrop()) {
            return false;
        }

        if (!canImport(info)) return false;

        if (info.getComponent() instanceof JTable){
            JTable tb = (JTable)info.getComponent();
            JTable.DropLocation dl = (JTable.DropLocation)info.getDropLocation();

            if (dl.getRow()<0) return false;
            if (dl.getColumn()<0) return false;
            ProductInBase prod=null;
            try{
                prod = (ProductInBase)info.getTransferable().
                        getTransferData(ProductTransferable.dataFlavor);

            }catch (Exception e) { return false; }

            ProdGroup gr = ((GroupTableModel)tb.getModel()).getGroup(dl.getRow());
            if (gr.getId()==prod.getOwner()) return false;
            if (gr.getId()==0) return false;
            Object[] options = {"Да", "Нет"};
            int n = JOptionPane.showOptionDialog(null,
                                    "Вы хотите перенести продукт:\n" +
                                    prod.getName()+"\n\n"+
                                    "В группу:\n"+
                                    gr.getName(),
                                    "Перенос продукта",
                                    JOptionPane.YES_NO_OPTION,
                                    JOptionPane.WARNING_MESSAGE,
                                    null,
                                    options,
                                    options[1]);
            if (n == JOptionPane.YES_OPTION) {
                prod.setOwner(gr.getId());
                int prId = prod.getId();
                ProductManager mgr = new ProductManager();
                mgr.updateProductInBase(prod);
                tb.getSelectionModel().setSelectionInterval(dl.getRow(), dl.getRow());
                return true;
            }

            
        }
        return false;
    }
}
