/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package manager;

/**
 *
 * @author connie
 */

import java.util.*;
import products.ProductInMenu;
import products.ProductW;
import java.text.Collator;



public class MenuManager {
 private ManagementSystem manager;
 private int idUser;
 private String tableName;
 public final static int MENU_TABLE = 0;
 public final static int SNACK_TABLE = 1;
 private final static String menu_table = "menu";
 private final static String snack_table = "snack";
 private Collection products;
 private final Collator myCollator = Collator.getInstance();

 
    public MenuManager(int idUser,int table){
        //Тут надо иницировать соединение
        manager = ManagementSystem.getInstance();
        this.idUser = idUser;
        switch (table){
            case MENU_TABLE: tableName = menu_table; break;
            case SNACK_TABLE: tableName = snack_table; break;
        }
    }
    
    public Collection<ProductInMenu> getMenu(){
        Vector<ProductInMenu> buf;
        if (tableName.equals(menu_table)){
            buf = manager.getMenu();
        }
        else{
            buf = manager.getSnack();
        }
        //тут нужна сортировка!!!!!
        Collections.sort(buf, new Comparator<ProductInMenu>(){
            public int compare(ProductInMenu a,ProductInMenu b){

                return myCollator.compare(a.getName(),b.getName());

            }
            });
        products = buf;
        return products;
    }
    
    public Collection<ProductInMenu> updateProd(ProductInMenu prod){
        return getMenu();
    }
    
    public Collection<ProductInMenu> deleteProd(ProductInMenu prod){
        
        products.remove(prod);
        
        return getMenu();
    }
    
    public Collection flush(){
        products.clear();
        
        return getMenu();
    }
    
    public Collection addProd(ProductW prod){
        int id=0;
        if (tableName.equals(menu_table)){
            id =manager.getNextidMenu();
        }
        else{
            id =manager.getNextidSnack();
        }
        ProductInMenu p = new ProductInMenu(
                prod.getName(),
                prod.getProt(),
                prod.getFat(),
                prod.getCarb(),
                prod.getGi(),
                prod.getWeight(),
                id
                );
        
        products.add(p);
        
        return getMenu();
    }
}
