/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package maths;

/**
 *
 * @author connie
 */
public class Sugar {
    public final static boolean MMOL = true;
    public final static boolean MGDL = false;
    public final static boolean PLASMA = true;
    public final static boolean WHOLE = false;

    private final static float GLUC = 18.015588f;
    private final static float PLASM = 1.12f;

    private float value = 5.6f;//храним в ммоль в цельной крови

    public Sugar(){
    }

    public Sugar(Sugar in_s){
        value = in_s.value;
    }

    public Sugar(float s){
        value = s;
    }

    public float getValue(){
        return value;
    }

    public void setSugar(float sugar,boolean mmol,boolean plasma){
        if (mmol) value = sugar;
        else value = sugar/GLUC;
        if (plasma) value = value / PLASM;
    }

    public float getSugar(boolean mmol,boolean plasma){
        float v;
        if (mmol) v =  value;
        else v = value*GLUC;
        if (plasma) return v*PLASM;
        return v;
    }
}
